ERP

pdks

5 endpoints · /api/erp/v1/pdks

Request examples are generated from each endpoint's REAL method and path. 5 endpoints have no hand-verified body example yet; their skeleton has no body — we do not invent field names.

GET/api/erp/v1/pdks/devices

List devices

Oturum
İstek
curl -X GET "https://{slug}.erp.blesyum.app/api/erp/v1/pdks/devices" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/erp/v1/pdks/devices

Register device

Oturum
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/pdks/devices" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/erp/v1/pdks/devices/{id}/heartbeat

Device heartbeat

OturumYol parametresi: id
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/pdks/devices/<id>/heartbeat" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/erp/v1/pdks/devices/{id}/logs

Ingest log

OturumYol parametresi: id
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/pdks/devices/<id>/logs" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
GET/api/erp/v1/pdks/devices/offline

Offline devices

Oturum
İstek
curl -X GET "https://{slug}.erp.blesyum.app/api/erp/v1/pdks/devices/offline" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
Bu sayfa işine yaradı mı?